---
lang: en
title: 'API docs: logging.winstonloggerprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/logging
permalink: /doc/en/lb4/apidocs.logging.winstonloggerprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/logging](./logging.md) &gt; [WinstonLoggerProvider](./logging.winstonloggerprovider.md)

## WinstonLoggerProvider class

A provider class that creates WinstonLogger instances

**Signature:**

```typescript
export declare class WinstonLoggerProvider implements Provider<Logger> 
```
**Implements:** [Provider](./context.provider.md)<!-- -->&lt;Logger&gt;

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(transports, formats, options)](./logging.winstonloggerprovider._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `WinstonLoggerProvider` class


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[value()](./logging.winstonloggerprovider.value.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>

